IACA
Create an IACA
/v2/credentials/mobile/iacasCreates a new IACA that can be used to sign certificates for Document and Status List signers.
- IACAs are always created as inactive. You must manually update the IACA to
active: truebefore it can be used to sign mDocs. - A maximum of three IACAs can be created per tenant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/iacas" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true}Retrieve all IACAs
/v2/credentials/mobile/iacasRetrieves all existing IACAs from the tenant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.com/v2/credentials/mobile/iacas"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true } ], "nextCursor": "string"}Retrieve an IACA
/v2/credentials/mobile/iacas/{iacaId}Retrieves an existing IACA by providing its ID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
IACA ID
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/iacas/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true}Update an IACA
/v2/credentials/mobile/iacas/{iacaId}Update the status of an IACA. Only active IACAs can be used for signing mDocs.
Creating an IACA with active set to false enables distributing the IACA's PEM to relying parties in advance, before it is being used to sign any mDocs.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
IACA ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/mobile/iacas/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": false }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true}Delete an IACA
/v2/credentials/mobile/iacas/{iacaId}Deletes an existing IACA by providing its ID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
IACA ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v2/credentials/mobile/iacas/497f6eca-6276-4993-bfeb-53cbbbba6f08"How would you rate this page?
Last updated on